Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/24
Addresses2^104
/64 networks2^40
Network
ffbb:ec00::/24
First address
ffbb:ec00::
Last address
ffbb:ecff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
20,282,409,603,651,670,423,947,251,286,016 (2^104)
/64 networks (LANs)
1,099,511,627,776 (2^40)
Full form
ffbb:ec00:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
c.e.b.b.f.f.ip6.arpa
Split into smaller subnets/32

ffbb:ec00::/24 makes 256 subnets of /32.

Subnets
#SubnetLast address
1ffbb:ec00::/32ffbb:ec00:ffff:ffff:ffff:ffff:ffff:ffff
2ffbb:ec01::/32ffbb:ec01:ffff:ffff:ffff:ffff:ffff:ffff
3ffbb:ec02::/32ffbb:ec02:ffff:ffff:ffff:ffff:ffff:ffff
4ffbb:ec03::/32ffbb:ec03:ffff:ffff:ffff:ffff:ffff:ffff
5ffbb:ec04::/32ffbb:ec04:ffff:ffff:ffff:ffff:ffff:ffff
6ffbb:ec05::/32ffbb:ec05:ffff:ffff:ffff:ffff:ffff:ffff
7ffbb:ec06::/32ffbb:ec06:ffff:ffff:ffff:ffff:ffff:ffff
8ffbb:ec07::/32ffbb:ec07:ffff:ffff:ffff:ffff:ffff:ffff
9ffbb:ec08::/32ffbb:ec08:ffff:ffff:ffff:ffff:ffff:ffff
10ffbb:ec09::/32ffbb:ec09:ffff:ffff:ffff:ffff:ffff:ffff
11ffbb:ec0a::/32ffbb:ec0a:ffff:ffff:ffff:ffff:ffff:ffff
12ffbb:ec0b::/32ffbb:ec0b:ffff:ffff:ffff:ffff:ffff:ffff
13ffbb:ec0c::/32ffbb:ec0c:ffff:ffff:ffff:ffff:ffff:ffff
14ffbb:ec0d::/32ffbb:ec0d:ffff:ffff:ffff:ffff:ffff:ffff
15ffbb:ec0e::/32ffbb:ec0e:ffff:ffff:ffff:ffff:ffff:ffff
16ffbb:ec0f::/32ffbb:ec0f:ffff:ffff:ffff:ffff:ffff:ffff
17ffbb:ec10::/32ffbb:ec10:ffff:ffff:ffff:ffff:ffff:ffff
18ffbb:ec11::/32ffbb:ec11:ffff:ffff:ffff:ffff:ffff:ffff
19ffbb:ec12::/32ffbb:ec12:ffff:ffff:ffff:ffff:ffff:ffff
20ffbb:ec13::/32ffbb:ec13:ffff:ffff:ffff:ffff:ffff:ffff
21ffbb:ec14::/32ffbb:ec14:ffff:ffff:ffff:ffff:ffff:ffff
22ffbb:ec15::/32ffbb:ec15:ffff:ffff:ffff:ffff:ffff:ffff
23ffbb:ec16::/32ffbb:ec16:ffff:ffff:ffff:ffff:ffff:ffff
24ffbb:ec17::/32ffbb:ec17:ffff:ffff:ffff:ffff:ffff:ffff
25ffbb:ec18::/32ffbb:ec18:ffff:ffff:ffff:ffff:ffff:ffff
26ffbb:ec19::/32ffbb:ec19:ffff:ffff:ffff:ffff:ffff:ffff
27ffbb:ec1a::/32ffbb:ec1a:ffff:ffff:ffff:ffff:ffff:ffff
28ffbb:ec1b::/32ffbb:ec1b:ffff:ffff:ffff:ffff:ffff:ffff
29ffbb:ec1c::/32ffbb:ec1c:ffff:ffff:ffff:ffff:ffff:ffff
30ffbb:ec1d::/32ffbb:ec1d:ffff:ffff:ffff:ffff:ffff:ffff
31ffbb:ec1e::/32ffbb:ec1e:ffff:ffff:ffff:ffff:ffff:ffff
32ffbb:ec1f::/32ffbb:ec1f:ffff:ffff:ffff:ffff:ffff:ffff
33ffbb:ec20::/32ffbb:ec20:ffff:ffff:ffff:ffff:ffff:ffff
34ffbb:ec21::/32ffbb:ec21:ffff:ffff:ffff:ffff:ffff:ffff
35ffbb:ec22::/32ffbb:ec22:ffff:ffff:ffff:ffff:ffff:ffff
36ffbb:ec23::/32ffbb:ec23:ffff:ffff:ffff:ffff:ffff:ffff
37ffbb:ec24::/32ffbb:ec24:ffff:ffff:ffff:ffff:ffff:ffff
38ffbb:ec25::/32ffbb:ec25:ffff:ffff:ffff:ffff:ffff:ffff
39ffbb:ec26::/32ffbb:ec26:ffff:ffff:ffff:ffff:ffff:ffff
40ffbb:ec27::/32ffbb:ec27:ffff:ffff:ffff:ffff:ffff:ffff
41ffbb:ec28::/32ffbb:ec28:ffff:ffff:ffff:ffff:ffff:ffff
42ffbb:ec29::/32ffbb:ec29:ffff:ffff:ffff:ffff:ffff:ffff
43ffbb:ec2a::/32ffbb:ec2a:ffff:ffff:ffff:ffff:ffff:ffff
44ffbb:ec2b::/32ffbb:ec2b:ffff:ffff:ffff:ffff:ffff:ffff
45ffbb:ec2c::/32ffbb:ec2c:ffff:ffff:ffff:ffff:ffff:ffff
46ffbb:ec2d::/32ffbb:ec2d:ffff:ffff:ffff:ffff:ffff:ffff
47ffbb:ec2e::/32ffbb:ec2e:ffff:ffff:ffff:ffff:ffff:ffff
48ffbb:ec2f::/32ffbb:ec2f:ffff:ffff:ffff:ffff:ffff:ffff
49ffbb:ec30::/32ffbb:ec30:ffff:ffff:ffff:ffff:ffff:ffff
50ffbb:ec31::/32ffbb:ec31:ffff:ffff:ffff:ffff:ffff:ffff
51ffbb:ec32::/32ffbb:ec32:ffff:ffff:ffff:ffff:ffff:ffff
52ffbb:ec33::/32ffbb:ec33:ffff:ffff:ffff:ffff:ffff:ffff
53ffbb:ec34::/32ffbb:ec34:ffff:ffff:ffff:ffff:ffff:ffff
54ffbb:ec35::/32ffbb:ec35:ffff:ffff:ffff:ffff:ffff:ffff
55ffbb:ec36::/32ffbb:ec36:ffff:ffff:ffff:ffff:ffff:ffff
56ffbb:ec37::/32ffbb:ec37:ffff:ffff:ffff:ffff:ffff:ffff
57ffbb:ec38::/32ffbb:ec38:ffff:ffff:ffff:ffff:ffff:ffff
58ffbb:ec39::/32ffbb:ec39:ffff:ffff:ffff:ffff:ffff:ffff
59ffbb:ec3a::/32ffbb:ec3a:ffff:ffff:ffff:ffff:ffff:ffff
60ffbb:ec3b::/32ffbb:ec3b:ffff:ffff:ffff:ffff:ffff:ffff
61ffbb:ec3c::/32ffbb:ec3c:ffff:ffff:ffff:ffff:ffff:ffff
62ffbb:ec3d::/32ffbb:ec3d:ffff:ffff:ffff:ffff:ffff:ffff
63ffbb:ec3e::/32ffbb:ec3e:ffff:ffff:ffff:ffff:ffff:ffff
64ffbb:ec3f::/32ffbb:ec3f:ffff:ffff:ffff:ffff:ffff:ffff
65ffbb:ec40::/32ffbb:ec40:ffff:ffff:ffff:ffff:ffff:ffff
66ffbb:ec41::/32ffbb:ec41:ffff:ffff:ffff:ffff:ffff:ffff
67ffbb:ec42::/32ffbb:ec42:ffff:ffff:ffff:ffff:ffff:ffff
68ffbb:ec43::/32ffbb:ec43:ffff:ffff:ffff:ffff:ffff:ffff
69ffbb:ec44::/32ffbb:ec44:ffff:ffff:ffff:ffff:ffff:ffff
70ffbb:ec45::/32ffbb:ec45:ffff:ffff:ffff:ffff:ffff:ffff
71ffbb:ec46::/32ffbb:ec46:ffff:ffff:ffff:ffff:ffff:ffff
72ffbb:ec47::/32ffbb:ec47:ffff:ffff:ffff:ffff:ffff:ffff
73ffbb:ec48::/32ffbb:ec48:ffff:ffff:ffff:ffff:ffff:ffff
74ffbb:ec49::/32ffbb:ec49:ffff:ffff:ffff:ffff:ffff:ffff
75ffbb:ec4a::/32ffbb:ec4a:ffff:ffff:ffff:ffff:ffff:ffff
76ffbb:ec4b::/32ffbb:ec4b:ffff:ffff:ffff:ffff:ffff:ffff
77ffbb:ec4c::/32ffbb:ec4c:ffff:ffff:ffff:ffff:ffff:ffff
78ffbb:ec4d::/32ffbb:ec4d:ffff:ffff:ffff:ffff:ffff:ffff
79ffbb:ec4e::/32ffbb:ec4e:ffff:ffff:ffff:ffff:ffff:ffff
80ffbb:ec4f::/32ffbb:ec4f:ffff:ffff:ffff:ffff:ffff:ffff
81ffbb:ec50::/32ffbb:ec50:ffff:ffff:ffff:ffff:ffff:ffff
82ffbb:ec51::/32ffbb:ec51:ffff:ffff:ffff:ffff:ffff:ffff
83ffbb:ec52::/32ffbb:ec52:ffff:ffff:ffff:ffff:ffff:ffff
84ffbb:ec53::/32ffbb:ec53:ffff:ffff:ffff:ffff:ffff:ffff
85ffbb:ec54::/32ffbb:ec54:ffff:ffff:ffff:ffff:ffff:ffff
86ffbb:ec55::/32ffbb:ec55:ffff:ffff:ffff:ffff:ffff:ffff
87ffbb:ec56::/32ffbb:ec56:ffff:ffff:ffff:ffff:ffff:ffff
88ffbb:ec57::/32ffbb:ec57:ffff:ffff:ffff:ffff:ffff:ffff
89ffbb:ec58::/32ffbb:ec58:ffff:ffff:ffff:ffff:ffff:ffff
90ffbb:ec59::/32ffbb:ec59:ffff:ffff:ffff:ffff:ffff:ffff
91ffbb:ec5a::/32ffbb:ec5a:ffff:ffff:ffff:ffff:ffff:ffff
92ffbb:ec5b::/32ffbb:ec5b:ffff:ffff:ffff:ffff:ffff:ffff
93ffbb:ec5c::/32ffbb:ec5c:ffff:ffff:ffff:ffff:ffff:ffff
94ffbb:ec5d::/32ffbb:ec5d:ffff:ffff:ffff:ffff:ffff:ffff
95ffbb:ec5e::/32ffbb:ec5e:ffff:ffff:ffff:ffff:ffff:ffff
96ffbb:ec5f::/32ffbb:ec5f:ffff:ffff:ffff:ffff:ffff:ffff
97ffbb:ec60::/32ffbb:ec60:ffff:ffff:ffff:ffff:ffff:ffff
98ffbb:ec61::/32ffbb:ec61:ffff:ffff:ffff:ffff:ffff:ffff
99ffbb:ec62::/32ffbb:ec62:ffff:ffff:ffff:ffff:ffff:ffff
100ffbb:ec63::/32ffbb:ec63:ffff:ffff:ffff:ffff:ffff:ffff
101ffbb:ec64::/32ffbb:ec64:ffff:ffff:ffff:ffff:ffff:ffff
102ffbb:ec65::/32ffbb:ec65:ffff:ffff:ffff:ffff:ffff:ffff
103ffbb:ec66::/32ffbb:ec66:ffff:ffff:ffff:ffff:ffff:ffff
104ffbb:ec67::/32ffbb:ec67:ffff:ffff:ffff:ffff:ffff:ffff
105ffbb:ec68::/32ffbb:ec68:ffff:ffff:ffff:ffff:ffff:ffff
106ffbb:ec69::/32ffbb:ec69:ffff:ffff:ffff:ffff:ffff:ffff
107ffbb:ec6a::/32ffbb:ec6a:ffff:ffff:ffff:ffff:ffff:ffff
108ffbb:ec6b::/32ffbb:ec6b:ffff:ffff:ffff:ffff:ffff:ffff
109ffbb:ec6c::/32ffbb:ec6c:ffff:ffff:ffff:ffff:ffff:ffff
110ffbb:ec6d::/32ffbb:ec6d:ffff:ffff:ffff:ffff:ffff:ffff
111ffbb:ec6e::/32ffbb:ec6e:ffff:ffff:ffff:ffff:ffff:ffff
112ffbb:ec6f::/32ffbb:ec6f:ffff:ffff:ffff:ffff:ffff:ffff
113ffbb:ec70::/32ffbb:ec70:ffff:ffff:ffff:ffff:ffff:ffff
114ffbb:ec71::/32ffbb:ec71:ffff:ffff:ffff:ffff:ffff:ffff
115ffbb:ec72::/32ffbb:ec72:ffff:ffff:ffff:ffff:ffff:ffff
116ffbb:ec73::/32ffbb:ec73:ffff:ffff:ffff:ffff:ffff:ffff
117ffbb:ec74::/32ffbb:ec74:ffff:ffff:ffff:ffff:ffff:ffff
118ffbb:ec75::/32ffbb:ec75:ffff:ffff:ffff:ffff:ffff:ffff
119ffbb:ec76::/32ffbb:ec76:ffff:ffff:ffff:ffff:ffff:ffff
120ffbb:ec77::/32ffbb:ec77:ffff:ffff:ffff:ffff:ffff:ffff
121ffbb:ec78::/32ffbb:ec78:ffff:ffff:ffff:ffff:ffff:ffff
122ffbb:ec79::/32ffbb:ec79:ffff:ffff:ffff:ffff:ffff:ffff
123ffbb:ec7a::/32ffbb:ec7a:ffff:ffff:ffff:ffff:ffff:ffff
124ffbb:ec7b::/32ffbb:ec7b:ffff:ffff:ffff:ffff:ffff:ffff
125ffbb:ec7c::/32ffbb:ec7c:ffff:ffff:ffff:ffff:ffff:ffff
126ffbb:ec7d::/32ffbb:ec7d:ffff:ffff:ffff:ffff:ffff:ffff
127ffbb:ec7e::/32ffbb:ec7e:ffff:ffff:ffff:ffff:ffff:ffff
128ffbb:ec7f::/32ffbb:ec7f:ffff:ffff:ffff:ffff:ffff:ffff
129ffbb:ec80::/32ffbb:ec80:ffff:ffff:ffff:ffff:ffff:ffff
130ffbb:ec81::/32ffbb:ec81:ffff:ffff:ffff:ffff:ffff:ffff
131ffbb:ec82::/32ffbb:ec82:ffff:ffff:ffff:ffff:ffff:ffff
132ffbb:ec83::/32ffbb:ec83:ffff:ffff:ffff:ffff:ffff:ffff
133ffbb:ec84::/32ffbb:ec84:ffff:ffff:ffff:ffff:ffff:ffff
134ffbb:ec85::/32ffbb:ec85:ffff:ffff:ffff:ffff:ffff:ffff
135ffbb:ec86::/32ffbb:ec86:ffff:ffff:ffff:ffff:ffff:ffff
136ffbb:ec87::/32ffbb:ec87:ffff:ffff:ffff:ffff:ffff:ffff
137ffbb:ec88::/32ffbb:ec88:ffff:ffff:ffff:ffff:ffff:ffff
138ffbb:ec89::/32ffbb:ec89:ffff:ffff:ffff:ffff:ffff:ffff
139ffbb:ec8a::/32ffbb:ec8a:ffff:ffff:ffff:ffff:ffff:ffff
140ffbb:ec8b::/32ffbb:ec8b:ffff:ffff:ffff:ffff:ffff:ffff
141ffbb:ec8c::/32ffbb:ec8c:ffff:ffff:ffff:ffff:ffff:ffff
142ffbb:ec8d::/32ffbb:ec8d:ffff:ffff:ffff:ffff:ffff:ffff
143ffbb:ec8e::/32ffbb:ec8e:ffff:ffff:ffff:ffff:ffff:ffff
144ffbb:ec8f::/32ffbb:ec8f:ffff:ffff:ffff:ffff:ffff:ffff
145ffbb:ec90::/32ffbb:ec90:ffff:ffff:ffff:ffff:ffff:ffff
146ffbb:ec91::/32ffbb:ec91:ffff:ffff:ffff:ffff:ffff:ffff
147ffbb:ec92::/32ffbb:ec92:ffff:ffff:ffff:ffff:ffff:ffff
148ffbb:ec93::/32ffbb:ec93:ffff:ffff:ffff:ffff:ffff:ffff
149ffbb:ec94::/32ffbb:ec94:ffff:ffff:ffff:ffff:ffff:ffff
150ffbb:ec95::/32ffbb:ec95:ffff:ffff:ffff:ffff:ffff:ffff
151ffbb:ec96::/32ffbb:ec96:ffff:ffff:ffff:ffff:ffff:ffff
152ffbb:ec97::/32ffbb:ec97:ffff:ffff:ffff:ffff:ffff:ffff
153ffbb:ec98::/32ffbb:ec98:ffff:ffff:ffff:ffff:ffff:ffff
154ffbb:ec99::/32ffbb:ec99:ffff:ffff:ffff:ffff:ffff:ffff
155ffbb:ec9a::/32ffbb:ec9a:ffff:ffff:ffff:ffff:ffff:ffff
156ffbb:ec9b::/32ffbb:ec9b:ffff:ffff:ffff:ffff:ffff:ffff
157ffbb:ec9c::/32ffbb:ec9c:ffff:ffff:ffff:ffff:ffff:ffff
158ffbb:ec9d::/32ffbb:ec9d:ffff:ffff:ffff:ffff:ffff:ffff
159ffbb:ec9e::/32ffbb:ec9e:ffff:ffff:ffff:ffff:ffff:ffff
160ffbb:ec9f::/32ffbb:ec9f:ffff:ffff:ffff:ffff:ffff:ffff
161ffbb:eca0::/32ffbb:eca0:ffff:ffff:ffff:ffff:ffff:ffff
162ffbb:eca1::/32ffbb:eca1:ffff:ffff:ffff:ffff:ffff:ffff
163ffbb:eca2::/32ffbb:eca2:ffff:ffff:ffff:ffff:ffff:ffff
164ffbb:eca3::/32ffbb:eca3:ffff:ffff:ffff:ffff:ffff:ffff
165ffbb:eca4::/32ffbb:eca4:ffff:ffff:ffff:ffff:ffff:ffff
166ffbb:eca5::/32ffbb:eca5:ffff:ffff:ffff:ffff:ffff:ffff
167ffbb:eca6::/32ffbb:eca6:ffff:ffff:ffff:ffff:ffff:ffff
168ffbb:eca7::/32ffbb:eca7:ffff:ffff:ffff:ffff:ffff:ffff
169ffbb:eca8::/32ffbb:eca8:ffff:ffff:ffff:ffff:ffff:ffff
170ffbb:eca9::/32ffbb:eca9:ffff:ffff:ffff:ffff:ffff:ffff
171ffbb:ecaa::/32ffbb:ecaa:ffff:ffff:ffff:ffff:ffff:ffff
172ffbb:ecab::/32ffbb:ecab:ffff:ffff:ffff:ffff:ffff:ffff
173ffbb:ecac::/32ffbb:ecac:ffff:ffff:ffff:ffff:ffff:ffff
174ffbb:ecad::/32ffbb:ecad:ffff:ffff:ffff:ffff:ffff:ffff
175ffbb:ecae::/32ffbb:ecae:ffff:ffff:ffff:ffff:ffff:ffff
176ffbb:ecaf::/32ffbb:ecaf:ffff:ffff:ffff:ffff:ffff:ffff
177ffbb:ecb0::/32ffbb:ecb0:ffff:ffff:ffff:ffff:ffff:ffff
178ffbb:ecb1::/32ffbb:ecb1:ffff:ffff:ffff:ffff:ffff:ffff
179ffbb:ecb2::/32ffbb:ecb2:ffff:ffff:ffff:ffff:ffff:ffff
180ffbb:ecb3::/32ffbb:ecb3:ffff:ffff:ffff:ffff:ffff:ffff
181ffbb:ecb4::/32ffbb:ecb4:ffff:ffff:ffff:ffff:ffff:ffff
182ffbb:ecb5::/32ffbb:ecb5:ffff:ffff:ffff:ffff:ffff:ffff
183ffbb:ecb6::/32ffbb:ecb6:ffff:ffff:ffff:ffff:ffff:ffff
184ffbb:ecb7::/32ffbb:ecb7:ffff:ffff:ffff:ffff:ffff:ffff
185ffbb:ecb8::/32ffbb:ecb8:ffff:ffff:ffff:ffff:ffff:ffff
186ffbb:ecb9::/32ffbb:ecb9:ffff:ffff:ffff:ffff:ffff:ffff
187ffbb:ecba::/32ffbb:ecba:ffff:ffff:ffff:ffff:ffff:ffff
188ffbb:ecbb::/32ffbb:ecbb:ffff:ffff:ffff:ffff:ffff:ffff
189ffbb:ecbc::/32ffbb:ecbc:ffff:ffff:ffff:ffff:ffff:ffff
190ffbb:ecbd::/32ffbb:ecbd:ffff:ffff:ffff:ffff:ffff:ffff
191ffbb:ecbe::/32ffbb:ecbe:ffff:ffff:ffff:ffff:ffff:ffff
192ffbb:ecbf::/32ffbb:ecbf:ffff:ffff:ffff:ffff:ffff:ffff
193ffbb:ecc0::/32ffbb:ecc0:ffff:ffff:ffff:ffff:ffff:ffff
194ffbb:ecc1::/32ffbb:ecc1:ffff:ffff:ffff:ffff:ffff:ffff
195ffbb:ecc2::/32ffbb:ecc2:ffff:ffff:ffff:ffff:ffff:ffff
196ffbb:ecc3::/32ffbb:ecc3:ffff:ffff:ffff:ffff:ffff:ffff
197ffbb:ecc4::/32ffbb:ecc4:ffff:ffff:ffff:ffff:ffff:ffff
198ffbb:ecc5::/32ffbb:ecc5:ffff:ffff:ffff:ffff:ffff:ffff
199ffbb:ecc6::/32ffbb:ecc6:ffff:ffff:ffff:ffff:ffff:ffff
200ffbb:ecc7::/32ffbb:ecc7:ffff:ffff:ffff:ffff:ffff:ffff
201ffbb:ecc8::/32ffbb:ecc8:ffff:ffff:ffff:ffff:ffff:ffff
202ffbb:ecc9::/32ffbb:ecc9:ffff:ffff:ffff:ffff:ffff:ffff
203ffbb:ecca::/32ffbb:ecca:ffff:ffff:ffff:ffff:ffff:ffff
204ffbb:eccb::/32ffbb:eccb:ffff:ffff:ffff:ffff:ffff:ffff
205ffbb:eccc::/32ffbb:eccc:ffff:ffff:ffff:ffff:ffff:ffff
206ffbb:eccd::/32ffbb:eccd:ffff:ffff:ffff:ffff:ffff:ffff
207ffbb:ecce::/32ffbb:ecce:ffff:ffff:ffff:ffff:ffff:ffff
208ffbb:eccf::/32ffbb:eccf:ffff:ffff:ffff:ffff:ffff:ffff
209ffbb:ecd0::/32ffbb:ecd0:ffff:ffff:ffff:ffff:ffff:ffff
210ffbb:ecd1::/32ffbb:ecd1:ffff:ffff:ffff:ffff:ffff:ffff
211ffbb:ecd2::/32ffbb:ecd2:ffff:ffff:ffff:ffff:ffff:ffff
212ffbb:ecd3::/32ffbb:ecd3:ffff:ffff:ffff:ffff:ffff:ffff
213ffbb:ecd4::/32ffbb:ecd4:ffff:ffff:ffff:ffff:ffff:ffff
214ffbb:ecd5::/32ffbb:ecd5:ffff:ffff:ffff:ffff:ffff:ffff
215ffbb:ecd6::/32ffbb:ecd6:ffff:ffff:ffff:ffff:ffff:ffff
216ffbb:ecd7::/32ffbb:ecd7:ffff:ffff:ffff:ffff:ffff:ffff
217ffbb:ecd8::/32ffbb:ecd8:ffff:ffff:ffff:ffff:ffff:ffff
218ffbb:ecd9::/32ffbb:ecd9:ffff:ffff:ffff:ffff:ffff:ffff
219ffbb:ecda::/32ffbb:ecda:ffff:ffff:ffff:ffff:ffff:ffff
220ffbb:ecdb::/32ffbb:ecdb:ffff:ffff:ffff:ffff:ffff:ffff
221ffbb:ecdc::/32ffbb:ecdc:ffff:ffff:ffff:ffff:ffff:ffff
222ffbb:ecdd::/32ffbb:ecdd:ffff:ffff:ffff:ffff:ffff:ffff
223ffbb:ecde::/32ffbb:ecde:ffff:ffff:ffff:ffff:ffff:ffff
224ffbb:ecdf::/32ffbb:ecdf:ffff:ffff:ffff:ffff:ffff:ffff
225ffbb:ece0::/32ffbb:ece0:ffff:ffff:ffff:ffff:ffff:ffff
226ffbb:ece1::/32ffbb:ece1:ffff:ffff:ffff:ffff:ffff:ffff
227ffbb:ece2::/32ffbb:ece2:ffff:ffff:ffff:ffff:ffff:ffff
228ffbb:ece3::/32ffbb:ece3:ffff:ffff:ffff:ffff:ffff:ffff
229ffbb:ece4::/32ffbb:ece4:ffff:ffff:ffff:ffff:ffff:ffff
230ffbb:ece5::/32ffbb:ece5:ffff:ffff:ffff:ffff:ffff:ffff
231ffbb:ece6::/32ffbb:ece6:ffff:ffff:ffff:ffff:ffff:ffff
232ffbb:ece7::/32ffbb:ece7:ffff:ffff:ffff:ffff:ffff:ffff
233ffbb:ece8::/32ffbb:ece8:ffff:ffff:ffff:ffff:ffff:ffff
234ffbb:ece9::/32ffbb:ece9:ffff:ffff:ffff:ffff:ffff:ffff
235ffbb:ecea::/32ffbb:ecea:ffff:ffff:ffff:ffff:ffff:ffff
236ffbb:eceb::/32ffbb:eceb:ffff:ffff:ffff:ffff:ffff:ffff
237ffbb:ecec::/32ffbb:ecec:ffff:ffff:ffff:ffff:ffff:ffff
238ffbb:eced::/32ffbb:eced:ffff:ffff:ffff:ffff:ffff:ffff
239ffbb:ecee::/32ffbb:ecee:ffff:ffff:ffff:ffff:ffff:ffff
240ffbb:ecef::/32ffbb:ecef:ffff:ffff:ffff:ffff:ffff:ffff
241ffbb:ecf0::/32ffbb:ecf0:ffff:ffff:ffff:ffff:ffff:ffff
242ffbb:ecf1::/32ffbb:ecf1:ffff:ffff:ffff:ffff:ffff:ffff
243ffbb:ecf2::/32ffbb:ecf2:ffff:ffff:ffff:ffff:ffff:ffff
244ffbb:ecf3::/32ffbb:ecf3:ffff:ffff:ffff:ffff:ffff:ffff
245ffbb:ecf4::/32ffbb:ecf4:ffff:ffff:ffff:ffff:ffff:ffff
246ffbb:ecf5::/32ffbb:ecf5:ffff:ffff:ffff:ffff:ffff:ffff
247ffbb:ecf6::/32ffbb:ecf6:ffff:ffff:ffff:ffff:ffff:ffff
248ffbb:ecf7::/32ffbb:ecf7:ffff:ffff:ffff:ffff:ffff:ffff
249ffbb:ecf8::/32ffbb:ecf8:ffff:ffff:ffff:ffff:ffff:ffff
250ffbb:ecf9::/32ffbb:ecf9:ffff:ffff:ffff:ffff:ffff:ffff
251ffbb:ecfa::/32ffbb:ecfa:ffff:ffff:ffff:ffff:ffff:ffff
252ffbb:ecfb::/32ffbb:ecfb:ffff:ffff:ffff:ffff:ffff:ffff
253ffbb:ecfc::/32ffbb:ecfc:ffff:ffff:ffff:ffff:ffff:ffff
254ffbb:ecfd::/32ffbb:ecfd:ffff:ffff:ffff:ffff:ffff:ffff
255ffbb:ecfe::/32ffbb:ecfe:ffff:ffff:ffff:ffff:ffff:ffff
256ffbb:ecff::/32ffbb:ecff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses